from openpyxl import load_workbook
from os.path import abspath

# получаем все ссылки из categories.xlsx
def get_categories():

    wookbook = load_workbook(abspath("categories.xlsx"))
    worksheet = wookbook.active

    categories = []

    for i in worksheet["A"]:
        value = i.value
        if value != None:
            categories.append(value)

    return categories